From d82e51fae9559002b1690e1532b0ecbc0b8da6b2 Mon Sep 17 00:00:00 2001
From: Erlend <me@erlend.io>
Date: Tue, 9 Jun 2020 13:00:57 +0200
Subject: [PATCH 1/5] remove dependency to system settings

---
 CMakeLists.txt | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 044b637d3..7a3900bd5 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -102,10 +102,10 @@ include(GNUInstallDirs)
 set(SHELL_APP_DIR ${CMAKE_INSTALL_DATADIR}/unity8)
 set(SHELL_PRIVATE_LIBDIR ${CMAKE_INSTALL_LIBDIR}/unity8)
 
-execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugin_private_module_dir SystemSettings OUTPUT_VARIABLE USS_PRIVATE_PLUGINDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
-if(USS_PRIVATE_PLUGINDIR STREQUAL "")
-    message(FATAL_ERROR "Could not determine USS private plugin installation dir.")
-endif()
+#execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugin_private_module_dir SystemSettings OUTPUT_VARIABLE USS_PRIVATE_PLUGINDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
+#if(USS_PRIVATE_PLUGINDIR STREQUAL "")
+#    message(FATAL_ERROR "Could not determine USS private plugin installation dir.")
+#endif()
 
 execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir_suffix unity-shell-api OUTPUT_VARIABLE SHELL_INSTALL_QML OUTPUT_STRIP_TRAILING_WHITESPACE)
 if(SHELL_INSTALL_QML STREQUAL "")
-- 
2.26.2

